#Stripe Payment Processor for CiviCRM.
Integrates the Stripe payment processor (for Credit/Debit cards) into CiviCRM so you can use it to accept Credit / Debit card payments on your site.

[![Stripe Logo](/images/stripe.png)](https://stripe.com/)

Latest releases can be found here: https://civicrm.org/extensions/stripe-payment-processor

View this extension in the [Extension Directory](https://civicrm.org/extensions/stripe-payment-processor).

## Compatibility / Requirements
* CiviCRM 5.13+
* PHP 7.1+
* Jquery 1.10 (Use jquery_update module on Drupal).
* Drupal 7 / Joomla / Wordpress (latest supported release). *Not currently tested with other CMS but it may work.*
* Stripe API version: 2019-09-09
* Drupal webform_civicrm 7.x-4.28+ (if using webform integration) - does NOT support test mode:
  > If using test mode with drupal webform_civicrm you need [this patch](https://github.com/colemanw/webform_civicrm/pull/266)
* [MJWShared extension](https://civicrm.org/extensions/mjwshared) version 0.3. 

## Troubleshooting
Under *Administer->CiviContribute->Stripe Settings* you can find a setting:
* Enable Stripe Javascript debugging?

> This can be switched on to output debug info to the browser console and can be used to debug problems with submitting your payments.

## Support and Maintenance
This extension is supported and maintained by [![MJW Consulting](/images/mjwconsulting.jpg)](https://www.mjwconsult.co.uk) with the help and support of the CiviCRM community.
